export interface ProjectItem {
  id: string
  title: string
  alias: string
  project_id: string
  project_type: string
  site_uri: string
  summary: string
  picture_uri: string
  weight: string
  project_uri: string
  landing_page_uri: string
  users: string
  stakeholder_emails: string
  application_notify: string
  project_status: string
  comment: string
  status: string
  operator: string
  created_time: string
  updated_time: string
  english_name: string
  leader_id: string
  learn_length: string
  project_type_name: string
  project_status_name: string
}

// 项目成员
export interface ProjectMember {
  user_id: string
  role_id: string
  updated_time: string
  name: string
  mobile: string
  email: string
  role_name: string
}

// 用户信息
export interface User {
  id: string
  realname: string
  nickname: string
  username: string
  mobile: string
  avatar: string
  email: string
}

// 角色信息
export interface Role {
  id: string
  name: string
  desc: string
  levels: RoleLevel[]
}

export interface RoleLevel {
  level_id: string
  level_name: string
  level_tag: string
  level_group_tag: string
}

export interface ProjectRequestParams {
  title: string
  alias: string
  project_type: string
  project_status: string
  project_uri: string
  landing_page_uri: string
  project_id: string
  site_uri: string
  members?: string
}

export type ProjectFormData = Omit<ProjectRequestParams, 'members'> & { members: ProjectMember[] }
